> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar produto

> Obtenha os detalhes de um produto específico, passando o product_id.



## OpenAPI

````yaml get /products/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: API Kiwify
  description: ''
servers:
  - url: https://public-api.kiwify.com/v1/
    description: base
security: []
tags:
  - name: Autenticação
  - name: Conta
  - name: Produtos
  - name: Vendas
  - name: Financeiro
  - name: Affiliados
  - name: Webhooks
  - name: Eventos
paths:
  /products/{id}:
    get:
      tags:
        - Produtos
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response description
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product'
              examples:
                Product:
                  summary: Products example
                  value:
                    id: 20072760-3699-11ee-b627-87e13b212de8
                    store_id: XvS0qfkdzCZTg8z
                    name: pix test
                    type: membership
                    created_at: '2023-08-09T09:42:59.074Z'
                    currency: BRL
                    price: 500
                    affiliate_enabled: false
                    status: active
                    payment_type: charge
                    shipping_options:
                      - id: 928b5935-a3d9-4f21-879d-f46c1b30d9f0
                        name: Frete Gratis
                        price: 0
                    links:
                      - id: KMgND1r
                        custom_name: null
                        status: active
                        is_sales_page: false
                    bumps:
                      - id: 9811cdd9-45e9-456d-8c3b-114a7cf6fa33
                        color: '#f7f7f7'
                        link:
                          id: AbDFGi0
                          custom_name: null
                          product_id: 828b5935-a2d9-3f21-279d-146c1b30d9f0
                          status: active
                          is_sales_page: false
                    offers: []
                    event_settings: null
                    event_batches: []
                    subscriptions: []
                    revenue_partners: []
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
              examples:
                InvalidClient:
                  value:
                    error: auth_error
                    message: 'Invalid token: access token is invalid'
          description: Solicitação Inválida
        '404':
          description: Não Encontrado
      security:
        - AccountIdHeader: []
          OAuth2:
            - products
components:
  schemas:
    Product:
      type: object
      properties:
        id:
          type: string
          example: 7b5dc633-6b10-4b98-90c7-ea20a7610bd0
        name:
          type: string
          example: Meu Produto
        type:
          type: string
          example: membership
        created_at:
          type: string
          example: '2023-08-09T09:42:59.074Z'
        currency:
          type: string
          example: BRL
        price:
          type: number
          example: 1000
        affiliate_enabled:
          type: boolean
          example: true
        status:
          type: string
          example: active
        payment_type:
          type: string
          example: charge
        links:
          type: array
          items:
            $ref: '#/components/schemas/Link'
        bumps:
          type: array
          items:
            $ref: '#/components/schemas/Bump'
        offers:
          type: array
          items:
            $ref: '#/components/schemas/Offer'
        event_settings:
          $ref: '#/components/schemas/EventSettings'
        event_batches:
          type: array
          items:
            $ref: '#/components/schemas/EventBatches'
        subscriptions:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionResponse'
        revenue_partners:
          type: array
          items:
            $ref: '#/components/schemas/ProductRevenuePartners'
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: auth_error
        message:
          type: string
          example: 'Invalid client: client is invalid'
    Link:
      type: object
      properties:
        id:
          type: string
          example: 49c6cd08-11d7-47a1-970c-37c2c03ea9ec
        custom_name:
          type: string
          example: Meu Link
        product_id:
          type: string
          example: 451f39f4-cced-42e9-8597-c7fe6179537a
        currency:
          type: string
          example: BRL
        price:
          type: number
          example: 1000
        status:
          type: string
          example: active
        is_sales_page:
          type: boolean
          example: false
    Bump:
      type: object
      properties:
        type:
          type: string
          example: object
        properties:
          type: object
          properties:
            id:
              type: string
              example: b300434a-9993-4f4b-a481-f16299c5729c
            action_call:
              type: string
              example: Sim, eu aceito essa oferta especial!
            oto_description:
              type: string
              example: Adicione a compra
            oto_headline:
              type: string
              example: Nome do seu produto
            color:
              type: string
              example: '#f7f7f7'
            show_product_image:
              type: boolean
              example: false
            link:
              $ref: '#/components/schemas/Link'
    Offer:
      type: object
      properties:
        id:
          type: string
          example: 451f39f4-cced-42e9-8597-c7fe6179537a
        name:
          type: string
          example: Nome do seu produto
        currency:
          type: string
          example: BRL
        price:
          type: number
          example: 1000
        active:
          type: boolean
          example: true
    EventSettings:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/EventAddress'
        enable_handtags:
          type: boolean
          example: true
        handtag_code_type:
          type: string
          example: qr_code
        handtag_auto_print:
          type: boolean
          example: true
        description_enabled:
          type: boolean
          example: true
        collect_phone:
          type: boolean
          example: true
        collect_cpf:
          type: boolean
          example: false
        start_date:
          type: string
          example: '2023-10-31T16:53:05.119Z'
        end_date:
          type: string
          example: '2023-10-31T16:53:05.119Z'
        sale_start_at:
          type: string
          example: '2023-10-31T16:53:05.119Z'
        sale_end_at:
          type: string
          example: '2023-10-31T16:53:05.119Z'
    EventBatches:
      type: object
      properties:
        id:
          type: string
          example: 82265302-93f5-4dd8-b6dd-3b8f2c4bc07d
        name:
          type: string
          example: Primeiro Lote
        max_tickets:
          type: number
          example: 500
        available_tickets:
          type: number
          example: 500
        issued_tickets:
          type: number
          example: 0
        sold_tickets:
          type: number
          example: 0
        currency:
          type: string
          example: BRL
        price:
          type: number
          example: 45000
        created_at:
          type: string
          example: '2023-10-31T16:53:05.119Z'
        updated_at:
          type: string
          example: '2023-10-31T16:53:05.119Z'
    SubscriptionResponse:
      type: object
      properties:
        id:
          type: string
          example: 95c8321b-2bf9-432f-aad5-7b3e8c3f2229
        name:
          type: string
          example: basic
        description:
          type: string
          example: my description
        currency:
          type: string
          example: BRL
        price:
          type: number
          example: 5000
        frequency:
          type: string
          example: monthly
        installments:
          type: number
          example: 1
        qty_charges:
          type: number
          example: 0
        trial_days:
          type: number
          example: 0
        setup_fee:
          type: number
          example: 500
        setup_fee_enabled:
          type: boolean
          example: true
    ProductRevenuePartners:
      type: object
      properties:
        account_id:
          type: string
          example: RpL2LaVt13ENs0Q
        legal_name:
          type: string
          example: My Revenue Partner
        status:
          type: string
          example: active
        document_id:
          type: string
          example: '12345678910'
        percentage:
          type: number
          example: 50
        split_invoices:
          type: boolean
          example: false
        start_date:
          type: string
          example: '2023-10-31T16:53:05.119Z'
        end_date:
          type: string
          example: '2023-10-31T16:53:05.119Z'
    EventAddress:
      type: object
      properties:
        route:
          type: string
          example: My route
        administrative_area_level_2:
          type: string
          example: My City
        administrative_area_level_1:
          type: string
          example: My State
        country:
          type: string
          example: My country
        postal_code:
          type: string
          example: 32121-123
        latitude:
          type: number
          example: -19.2312
        longitude:
          type: number
          example: -24.2312
  securitySchemes:
    AccountIdHeader:
      type: apiKey
      in: header
      name: x-kiwify-account-id
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            stats: stats
            products: products
            events: events
            sales: sales
            sales_refund: sales_refund
            financial: financial
            affiliates: affiliates
            webhooks: webhooks

````